Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.format
Class ShowHideScaleBarEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.format.GlobalFormatsEdit
              info.bioinfweb.treegraph.document.undo.format.ShowHideScaleBarEdit

All Implemented Interfaces:
  UndoableEdit

    public class ShowHideScaleBarEdit

extends GlobalFormatsEdit

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.undo.format.GlobalFormatsEdit
`newFormats, oldFormats`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`private` | `ShowHideScaleBarEdit(Document document, GlobalFormats newFormats)`

Method Summary
`static ShowHideScaleBarEdit` | `createInstance(Document document, boolean showScaleBar)`
`String` | `getPresentationName()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.format.GlobalFormatsEdit
`redo, undo`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowHideScaleBarEdit

    private ShowHideScaleBarEdit(Document document,
                                 GlobalFormats newFormats)

Method Detail

### createInstance

    public static ShowHideScaleBarEdit createInstance(Document document,
                                                      boolean showScaleBar)

### getPresentationName

    public String getPresentationName()

  Specified by:
    `getPresentationName` in interface `UndoableEdit`
  Overrides:
    `getPresentationName` in class `GlobalFormatsEdit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD